
Redmine - Patch #9774

Ruby 1.9.3: Fix various helper dependencies for rails 2.3.14

2011-12-11 19:50 - Josh Toft

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Description

Applies to redmine 1.3.0, ruby 1.9.3, rails 2.3.14

Errors appeared like the following:

Gem::Specification#installation_path called from /usr/lib/ruby/gems/1.9.1/gems/rails-2.3.14/lib/ra

ils/vendor_gem_source_index.rb:93.

/usr/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file --

 activities_helper (LoadError)

    from /usr/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

 The following files needed blank helpers:

activities_helper.rb

auto_completes_helper.rb

comments_helper.rb

context_menus_helper.rb

files_helper.rb

gantts_helper.rb

ldap_auth_sources_helper.rb

previews_helper.rb

project_enumerations_helper.rb

sys_helper.rb

time_entry_reports_helper.rb

wikis_helper.rb

 Patch applies to r8188

History

#1 - 2011-12-14 13:53 - Toshi MARUYAMA

- Subject changed from Fix various helper dependencies for rails 2.3.14 to Ruby 1.9.3: Fix various helper dependencies for rails 2.3.14

#2 - 2011-12-15 13:29 - Jean-Philippe Lang

- Category changed from Rails support to Ruby support

- Status changed from New to Closed

No longer required after r8234.
